/******/ // The require scope
/******/ var __wp_require__ = {};
/******/ 
/************************************************************************/
/******/ /* webpack/runtime/define property getters */
/******/ (() => {
/******/ 	// define getter functions for harmony exports
/******/ 	__wp_require__.d = (exports, definition) => {
/******/ 		for(var key in definition) {
/******/ 			if(__wp_require__.o(definition, key) && !__wp_require__.o(exports, key)) {
/******/ 				Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 			}
/******/ 		}
/******/ 	};
/******/ })();
/******/ 
/******/ /* webpack/runtime/hasOwnProperty shorthand */
/******/ (() => {
/******/ 	__wp_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ })();
/******/ 
/************************************************************************/
var __wp_exports__ = {};

// EXPORTS
__wp_require__.d(__wp_exports__, {
  "Z": () => (/* binding */ AwesomeHfc)
});

;// CONCATENATED MODULE: ./.hfc/propnames.js
/* harmony default export */ const propnames = ([["size","class","color"],[],[]]);
;// CONCATENATED MODULE: ./src/index.ts

const svgAttrs = [["xmlns","http://www.w3.org/2000/svg"],["viewBox","0 0 32 32"]];
const svgHtml = "<path d=\"M15.347 29.985a13.928 13.928 0 0 1-4.205-.852l.694-1.875a11.929 11.929 0 0 0 3.603.73zm4.265-.456l-.514-1.932a11.915 11.915 0 0 0 3.363-1.483l1.078 1.685a13.915 13.915 0 0 1-3.927 1.73zM7.395 27.044a14.063 14.063 0 0 1-2.94-3.122l1.648-1.133a12.052 12.052 0 0 0 2.522 2.678zm-4.798-6.99A14.051 14.051 0 0 1 2 16H4a12.041 12.041 0 0 0 .512 3.476z\" fill=\"currentColor\"></path>  <path d=\"M26 17l-1.414 1.414L26.172 20H15.816a2.987 2.987 0 0 0-.275-.576l4.481-5.601A2.968 2.968 0 0 0 21 14a3 3 0 1 0-2.816-4h-4.368a2.982 2.982 0 0 0-5.632 0H2v2h6.184a2.982 2.982 0 0 0 5.632 0h4.368a2.987 2.987 0 0 0 .274.576l-4.48 5.601A2.968 2.968 0 0 0 13 18a3 3 0 1 0 2.816 4h10.356l-1.586 1.586L26 25l4-4zm-5-7a1 1 0 1 1-1 1a1 1 0 0 1 1-1zm-10 2a1 1 0 1 1 1-1a1 1 0 0 1-1 1zm2 10a1 1 0 1 1 1-1a1 1 0 0 1-1 1z\" fill=\"currentColor\"></path>  <path d=\"M28 16a12.041 12.041 0 0 0-.512-3.476l1.915-.578A14.055 14.055 0 0 1 30 16zm-2.104-6.789a12.052 12.052 0 0 0-2.522-2.678l1.23-1.577a14.063 14.063 0 0 1 2.94 3.122zM9.54 5.886L8.461 4.201a13.915 13.915 0 0 1 3.927-1.73l.514 1.932A11.915 11.915 0 0 0 9.54 5.886zm10.625-1.144a11.929 11.929 0 0 0-3.603-.73l.092-1.997a13.928 13.928 0 0 1 4.205.851z\" fill=\"currentColor\"></path>";
class AwesomeHfc {
    constructor(container, props) {
        this.container = container;
        for (let i = 0; i < svgAttrs.length; i++) {
            container.setAttribute(svgAttrs[i][0], svgAttrs[i][1]);
        }
        this.render(props);
        container.innerHTML = svgHtml;
    }
    changed(props) {
        this.render(props);
    }
    disconnected() { }
    render(props) {
        if (props.attrs.size) {
            this.container.setAttribute("width", props.attrs.size);
            this.container.setAttribute("height", props.attrs.size);
        }
        if (props.attrs.class) {
            this.container.setAttributeNS(null, "class", props.attrs.class);
        }
        if (props.attrs.color) {
            this.container.style.fill = props.attrs.color;
            this.container.style.color = props.attrs.color;
        }
        bindToElement(this.container, props.others);
    }
}
AwesomeHfc.tag = "svg";
AwesomeHfc.props = propnames;
function bindToElement(elem, obj) {
    for (let i = 0, keys = Object.keys(obj); i < keys.length; i++) {
        const key = keys[i];
        const value = obj[key];
        if (key === "style") {
            if (typeof value === "object") {
                Object.assign(elem.style, value);
            }
            else {
                elem.style.cssText += value;
            }
            continue;
        }
        if (typeof value === "function") {
            elem[key] = function (event) {
                value(event);
            };
        }
        else {
            elem.setAttribute(key, value);
        }
    }
}

var __wp_exports__default = __wp_exports__.Z;
export { __wp_exports__default as default };
